<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderSF4EditViewBase from './ibizorder-sf4-edit-view-base.vue';

import view_form from '@widgets/ibizorder/main5-form/main5-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderSF4EditView extends IBIZOrderSF4EditViewBase {

}
</script>